"""
Django settings for modestin project.

Generated by 'django-admin startproject' using Django 2.1.1.

For more information on this file, see
https://docs.djangoproject.com/en/2.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.1/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'z!5jl7m^e85c4@smcnr*1u1+mgssb1ttg8fm6#k92t8ad4zv)0'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

ALLOWED_HOSTS = ['*']


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',

    'django_hosts',
    'django_summernote',

    'accounts',
    'landing',
]

MIDDLEWARE = [
    # need to be in the start
    'django_hosts.middleware.HostsRequestMiddleware',

    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',

    # need to be in the end
    'django_hosts.middleware.HostsResponseMiddleware',
]

ROOT_URLCONF = 'modestin.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [os.path.join(BASE_DIR, 'templates')],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'modestin.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.1/ref/settings/#databases

DATABASES = {
  'default': {
      'ENGINE': 'django.db.backends.postgresql_psycopg2',
      'NAME': 'modestin',
      'USER': 'django',
      'PASSWORD': '12345qwert',
      'HOST': 'localhost',
      'PORT': '',
   }
}


# Password validation
# https://docs.djangoproject.com/en/2.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


# Internationalization

LANGUAGE_CODE = 'ru-RU'

TIME_ZONE = 'Europe/Moscow'

USE_I18N = True

USE_L10N = True

USE_TZ = True


SESSION_COOKIE_DOMAIN = '.modestin.ru'


# Static files (CSS, JavaScript, Images)

STATIC_URL = '/static/'

MEDIA_URL = '/media/'

SITE_URL = 'modestin.ru/'


MEDIA_ROOT = os.path.join(BASE_DIR, 'media')

STATIC_ROOT = os.path.join(BASE_DIR, 'static')


AUTH_USER_MODEL = 'accounts.UserAccount'


# host
ROOT_HOSTCONF = 'modestin.hosts'
DEFAULT_HOST = 'main_host'



# MAIL
EMAIL_HOST = 'smtp.yandex.ru'
EMAIL_PORT = 587
EMAIL_HOST_USER = "develop@gudostudio.ru"
EMAIL_HOST_PASSWORD = "12345qwert"
EMAIL_USE_TLS = True
DEFAULT_FROM_EMAIL = 'Modestin <develop@gudostudio.ru>'
SERVER_EMAIL = 'develop@gudostudio.ru'

SUMMERNOTE_THEME = 'bs3'


SUMMERNOTE_CONFIG = {
    # You can put custom Summernote settings
    'summernote': {
        # Change editor size
        'width': '100%',
        'height': '800',
        'lang': 'ru-RU',
    },
}

DATA_UPLOAD_MAX_NUMBER_FIELDS = 1000000


GEOIP_PATH = 'static/GeoLite2-City.mmdb'

USER_AGENTS_CACHE = None
